Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.testing
Class OWLTestResultsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.testing.OWLTestResultsTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

    public class OWLTestResultsTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable

A TableModel displaying the results of an OWLTest run. This has two columns - one for the anonymous class, and one for the named host class.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`static int` | `COL_COUNT`
`static int` | `COL_MESSAGE`
`static int` | `COL_SOURCE`
`static int` | `COL_TYPE`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`OWLTestResultsTableModel(OWLModel owlModel, Collection items)`

Method Summary
`void` | `dispose()`
`Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`OWLTestResult` | `getOWLTestResult(int row)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`void` | `removeRow(int row)`
`String` | `saveToFile(File file)` Saves the entries of this TableModel to a text file.
`void` | `setItems(Collection items)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COL_TYPE

    public static final int COL_TYPE

See Also:
  Constant Field Values

### COL_SOURCE

    public static final int COL_SOURCE

See Also:
  Constant Field Values

### COL_MESSAGE

    public static final int COL_MESSAGE

See Also:
  Constant Field Values

### COL_COUNT

    public static final int COL_COUNT

See Also:
  Constant Field Values

Constructor Detail

### OWLTestResultsTableModel

    public OWLTestResultsTableModel(OWLModel owlModel,
                                    Collection items)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getColumnClass

    public Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getOWLTestResult

    public OWLTestResult getOWLTestResult(int row)

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### removeRow

    public void removeRow(int row)

### saveToFile

    public String saveToFile(File file)

  Saves the entries of this TableModel to a text file.

  Parameters:
    `file` - the target File
  Returns:
    an error message or null if everything was fine

### setItems

    public void setItems(Collection items)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.